Summary:        Install Perl files from here to there
Name:           perl-ExtUtils-Install
Version:        2.22
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-Install
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/ExtUtils-Install-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter perl(lib)  
BuildRequires:  perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(AutoSplit) perl(Carp) perl(Config) perl(Cwd)
BuildRequires:  perl(Exporter) perl(File::Basename) perl(File::Compare) 
BuildRequires:  perl(File::Copy) perl(File::Find) perl(File::Path) perl(File::Spec)  
BuildRequires:  perl(ExtUtils::MM) perl(File::Temp) perl(Test::More)

Requires:       perl(AutoSplit)      
Requires:       perl(Data::Dumper) perl(File::Compare)    

BuildArch:      noarch

%{?perl_default_filter}

%description
Handles the installing and uninstalling of Perl modules, scripts, manual pages, etc.
Both install() and uninstall() are specific to the way ExtUtils::MakeMaker handles 
the installation and deinstallation of perl modules. 

%prep
%autosetup -n ExtUtils-Install-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.22-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.22-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.22-1
- Upgrade to upstream version 2.22
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.20-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Zhe <bessiewang@tencent.com> - 2.20-1
- initial build
